Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161345 - [RHEL4] libgnomeui filechooser backend won't understand bookmarks from GTK+ in RHEL 5
Summary: [RHEL4] libgnomeui filechooser backend won't understand bookmarks from GTK+ i...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libgnomeui
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 15:51 UTC by Matthias Clasen
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-05 20:03:55 UTC


Attachments (Terms of Use)
the patch (deleted)
2005-06-22 15:51 UTC, Matthias Clasen
no flags Details | Diff

Description Matthias Clasen 2005-06-22 15:51:41 UTC
GTK+ 2.8 slightly changes the format in which the file chooser bookmarks are
written. When RHEL5 comes around, we might see people use their home directories
with both 2.4.x (from RHEL4) and GTK+ >= 2.8 (from RHEL5), and in order to 
prevent problems with the file chooser bookmarks in this scenario, a small
patch should be applied to the file chooser backends to make them handle the
new format.

The attached patch make the necessary changes to the gnome-vfs file chooser
backend in libgnomeui.

Comment 1 Matthias Clasen 2005-06-22 15:51:41 UTC
Created attachment 115816 [details]
the patch

Comment 6 Ray Strode [halfline] 2005-10-20 20:04:54 UTC
Patch is here, won't take long to apply...

devack

Comment 11 RHEL Product and Program Management 2006-09-05 19:51:36 UTC
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.

Comment 12 RHEL Product and Program Management 2006-09-05 20:03:55 UTC
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.